petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISColoringGetType

gets if the coloring is for the local representation (including ghost points) or the global representation

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringGetType(ISColoring coloring,ISColoringType *type)

Collective on coloring

### Input Parameter

coloring -the coloring object

### Output Parameter

type -either IS_COLORING_LOCAL or IS_COLORING_GLOBAL

### See Also

MatFDColoringCreate(), ISColoring, ISColoringCreate(), IS_COLORING_LOCAL, IS_COLORING_GLOBAL, ISColoringSetType()

### Level

intermediate

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages